OSDN Git Service

PR ada/19388
[pf3gnuchains/gcc-fork.git] / fastjar / Makefile.in
1 # Makefile.in generated by automake 1.9.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this with automake to create Makefile.in
18
19 SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
20
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = .
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 bin_PROGRAMS = fastjar$(EXEEXT) grepjar$(EXEEXT)
42 subdir = .
43 DIST_COMMON = README $(am__configure_deps) $(fastjar_TEXINFOS) \
44         $(srcdir)/../compile $(srcdir)/../depcomp \
45         $(srcdir)/../install-sh $(srcdir)/../missing \
46         $(srcdir)/../mkinstalldirs $(srcdir)/Makefile.am \
47         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
48         $(srcdir)/install-defs.sh.in $(top_srcdir)/configure AUTHORS \
49         COPYING ChangeLog INSTALL NEWS
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/../config/accross.m4 \
52         $(top_srcdir)/../config/gcc-version.m4 \
53         $(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
54 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
55         $(ACLOCAL_M4)
56 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
57  configure.lineno configure.status.lineno
58 mkinstalldirs = $(SHELL) $(top_srcdir)/../mkinstalldirs
59 CONFIG_HEADER = config.h
60 CONFIG_CLEAN_FILES = install-defs.sh
61 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" \
62         "$(DESTDIR)$(man1dir)"
63 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
64 PROGRAMS = $(bin_PROGRAMS)
65 am_fastjar_OBJECTS = fastjar-jartool.$(OBJEXT) \
66         fastjar-dostime.$(OBJEXT) fastjar-compress.$(OBJEXT) \
67         fastjar-pushback.$(OBJEXT) fastjar-shift.$(OBJEXT)
68 fastjar_OBJECTS = $(am_fastjar_OBJECTS)
69 am__DEPENDENCIES_1 =
70 am__DEPENDENCIES_2 = ../libiberty/libiberty.a
71 am_grepjar_OBJECTS = jargrep.$(OBJEXT) dostime.$(OBJEXT) \
72         compress.$(OBJEXT) pushback.$(OBJEXT)
73 grepjar_OBJECTS = $(am_grepjar_OBJECTS)
74 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
75 depcomp = $(SHELL) $(top_srcdir)/../depcomp
76 am__depfiles_maybe = depfiles
77 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
78         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
79 CCLD = $(CC)
80 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
81 SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
82 DIST_SOURCES = $(fastjar_SOURCES) $(grepjar_SOURCES)
83 INFO_DEPS = fastjar.info
84 am__TEXINFO_TEX_DIR = $(srcdir)/../gcc/doc/include
85 DVIS = fastjar.dvi
86 PDFS = fastjar.pdf
87 PSS = fastjar.ps
88 HTMLS = fastjar.html
89 TEXINFOS = fastjar.texi
90 TEXI2DVI = texi2dvi
91 TEXI2PDF = $(TEXI2DVI) --pdf --batch
92 MAKEINFOHTML = $(MAKEINFO) --html
93 AM_MAKEINFOHTMLFLAGS = $(AM_MAKEINFOFLAGS)
94 DVIPS = dvips
95 man1dir = $(mandir)/man1
96 NROFF = nroff
97 MANS = $(man_MANS)
98 ETAGS = etags
99 CTAGS = ctags
100 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
101 distdir = $(PACKAGE)-$(VERSION)
102 top_distdir = $(distdir)
103 am__remove_distdir = \
104   { test ! -d $(distdir) \
105     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
106          && rm -fr $(distdir); }; }
107 DIST_ARCHIVES = $(distdir).tar.gz
108 GZIP_ENV = --best
109 distuninstallcheck_listfiles = find . -type f -print
110 distcleancheck_listfiles = find . -type f -print
111 ACLOCAL = @ACLOCAL@
112 AMDEP_FALSE = @AMDEP_FALSE@
113 AMDEP_TRUE = @AMDEP_TRUE@
114 AMTAR = @AMTAR@
115 AUTOCONF = @AUTOCONF@
116 AUTOHEADER = @AUTOHEADER@
117 AUTOMAKE = @AUTOMAKE@
118 AWK = @AWK@
119 CC = @CC@
120 CCDEPMODE = @CCDEPMODE@
121 CFLAGS = @CFLAGS@
122 CHMOD = @CHMOD@
123 CP = @CP@
124 CPP = @CPP@
125 CPPFLAGS = @CPPFLAGS@
126 CYGPATH_W = @CYGPATH_W@
127 DEFS = @DEFS@
128 DEPDIR = @DEPDIR@
129 ECHO_C = @ECHO_C@
130 ECHO_N = @ECHO_N@
131 ECHO_T = @ECHO_T@
132 EGREP = @EGREP@
133 EXEEXT = @EXEEXT@
134 GENINSRC_FALSE = @GENINSRC_FALSE@
135 GENINSRC_TRUE = @GENINSRC_TRUE@
136 INSTALL_DATA = @INSTALL_DATA@
137 INSTALL_PROGRAM = @INSTALL_PROGRAM@
138 INSTALL_SCRIPT = @INSTALL_SCRIPT@
139 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
140 LDFLAGS = @LDFLAGS@
141 LIBOBJS = @LIBOBJS@
142 LIBS = @LIBS@
143 LTLIBOBJS = @LTLIBOBJS@
144 MAINT = @MAINT@
145 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
146 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
147 MAKEINFO = @MAKEINFO@
148 OBJEXT = @OBJEXT@
149 PACKAGE = @PACKAGE@
150 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
151 PACKAGE_NAME = @PACKAGE_NAME@
152 PACKAGE_STRING = @PACKAGE_STRING@
153 PACKAGE_TARNAME = @PACKAGE_TARNAME@
154 PACKAGE_VERSION = @PACKAGE_VERSION@
155 PATH_SEPARATOR = @PATH_SEPARATOR@
156 RM = @RM@
157 SET_MAKE = @SET_MAKE@
158 SHELL = @SHELL@
159 STRIP = @STRIP@
160 VERSION = @VERSION@
161 ZDEPS = @ZDEPS@
162 ZINCS = @ZINCS@
163 ZLIBS = @ZLIBS@
164 ac_ct_CC = @ac_ct_CC@
165 ac_ct_STRIP = @ac_ct_STRIP@
166 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
167 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
168 am__include = @am__include@
169 am__leading_dot = @am__leading_dot@
170 am__quote = @am__quote@
171 am__tar = @am__tar@
172 am__untar = @am__untar@
173 bindir = @bindir@
174 build_alias = @build_alias@
175 datadir = @datadir@
176 exec_prefix = @exec_prefix@
177 fastjar_warn_cflags = @fastjar_warn_cflags@
178 gcc_version = @gcc_version@
179 gcc_version_full = @gcc_version_full@
180 gcc_version_trigger = @gcc_version_trigger@
181 host_alias = @host_alias@
182 includedir = @includedir@
183 infodir = @infodir@
184 install_sh = @install_sh@
185 libdir = @libdir@
186 libexecdir = @libexecdir@
187 localstatedir = @localstatedir@
188 mandir = @mandir@
189 mkdir_p = @mkdir_p@
190 oldincludedir = @oldincludedir@
191 prefix = @prefix@
192 program_transform_name = @program_transform_name@
193 sbindir = @sbindir@
194 sharedstatedir = @sharedstatedir@
195 sysconfdir = @sysconfdir@
196 target_alias = @target_alias@
197 ACLOCAL_AMFLAGS = -I ../config
198
199 # Work around what appears to be a GNU make bug handling MAKEFLAGS
200 # values defined in terms of make variables, as is the case for CC and
201 # friends when we are called from the top level Makefile.
202 AM_MAKEFLAGS = \
203         "AR_FLAGS=$(AR_FLAGS)" \
204         "CC_FOR_BUILD=$(CC_FOR_BUILD)" \
205         "CFLAGS=$(CFLAGS)" \
206         "CXXFLAGS=$(CXXFLAGS)" \
207         "CFLAGS_FOR_BUILD=$(CFLAGS_FOR_BUILD)" \
208         "CFLAGS_FOR_TARGET=$(CFLAGS_FOR_TARGET)" \
209         "INSTALL=$(INSTALL)" \
210         "INSTALL_DATA=$(INSTALL_DATA)" \
211         "INSTALL_PROGRAM=$(INSTALL_PROGRAM)" \
212         "INSTALL_SCRIPT=$(INSTALL_SCRIPT)" \
213         "JC1FLAGS=$(JC1FLAGS)" \
214         "LDFLAGS=$(LDFLAGS)" \
215         "LIBCFLAGS=$(LIBCFLAGS)" \
216         "LIBCFLAGS_FOR_TARGET=$(LIBCFLAGS_FOR_TARGET)" \
217         "MAKE=$(MAKE)" \
218         "MAKEINFO=$(MAKEINFO) $(MAKEINFOFLAGS)" \
219         "PICFLAG=$(PICFLAG)" \
220         "PICFLAG_FOR_TARGET=$(PICFLAG_FOR_TARGET)" \
221         "SHELL=$(SHELL)" \
222         "exec_prefix=$(exec_prefix)" \
223         "infodir=$(infodir)" \
224         "libdir=$(libdir)" \
225         "prefix=$(prefix)" \
226         "AR=$(AR)" \
227         "AS=$(AS)" \
228         "CC=$(CC)" \
229         "CXX=$(CXX)" \
230         "LD=$(LD)" \
231         "LIBCFLAGS=$(LIBCFLAGS)" \
232         "NM=$(NM)" \
233         "PICFLAG=$(PICFLAG)" \
234         "RANLIB=$(RANLIB)" \
235         "DESTDIR=$(DESTDIR)"
236
237 AM_CPPFLAGS = -I. -I$(top_srcdir) $(ZINCS) -I$(top_srcdir)/../include
238 LIBIBERTY = ../libiberty/libiberty.a
239 fastjar_SOURCES = jartool.c dostime.c compress.c pushback.c shift.c jartool.h \
240 zipfile.h dostime.h compress.h pushback.h shift.h
241
242 fastjar_LDADD = $(ZLIBS) $(LIBIBERTY)
243 fastjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
244 fastjar_CPPFLAGS = $(AM_CPPFLAGS) -DWITH_SHIFT_DOWN
245 grepjar_SOURCES = jargrep.c dostime.c compress.c pushback.c jartool.h \
246 zipfile.h dostime.h compress.h pushback.h
247
248 grepjar_LDADD = $(ZLIBS) $(LIBIBERTY)
249 grepjar_DEPENDENCIES = $(ZDEPS) $(LIBIBERTY)
250 AM_CFLAGS = @fastjar_warn_cflags@
251 AM_MAKEINFOFLAGS = -I $(srcdir)/../gcc/doc/include
252 TEXINFO_TEX = ../gcc/doc/include/texinfo.tex
253 info_TEXINFOS = fastjar.texi
254 fastjar_TEXINFOS = \
255         ../gcc/doc/include/gcc-common.texi \
256         ../gcc/doc/include/gpl.texi
257
258 man_MANS = fastjar.1 grepjar.1
259 EXTRA_DIST = $(man_MANS)
260 TEXI2POD = perl $(srcdir)/../contrib/texi2pod.pl
261 POD2MAN = pod2man --center="GNU" --release="gcc-@gcc_version@"
262 @GENINSRC_FALSE@STAMP_GENINSRC = 
263
264 # GCC LOCAL CHANGE
265 # The following commands allow us to release tarballs with the man pages
266 # and info documentation prebuilt.  This feature is enabled via 
267 # --enable-generated-files-in-srcdir in the configure script.
268 @GENINSRC_TRUE@STAMP_GENINSRC = stamp-geninsrc
269 CLEANFILES = stamp-geninsrc fastjar.info
270 MAINTAINERCLEANFILES = $(srcdir)/fastjar.1 \
271                        $(srcdir)/grepjar.1 \
272                        $(srcdir)/fastjar.info
273
274 all: config.h
275         $(MAKE) $(AM_MAKEFLAGS) all-am
276
277 .SUFFIXES:
278 .SUFFIXES: .1 .c .dvi .o .obj .pod .ps
279 am--refresh:
280         @:
281 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
282         @for dep in $?; do \
283           case '$(am__configure_deps)' in \
284             *$$dep*) \
285               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
286               cd $(srcdir) && $(AUTOMAKE) --gnu  \
287                 && exit 0; \
288               exit 1;; \
289           esac; \
290         done; \
291         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
292         cd $(top_srcdir) && \
293           $(AUTOMAKE) --gnu  Makefile
294 .PRECIOUS: Makefile
295 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
296         @case '$?' in \
297           *config.status*) \
298             echo ' $(SHELL) ./config.status'; \
299             $(SHELL) ./config.status;; \
300           *) \
301             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
302             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
303         esac;
304
305 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
306         $(SHELL) ./config.status --recheck
307
308 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
309         cd $(srcdir) && $(AUTOCONF)
310 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
311         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
312
313 config.h: stamp-h1
314         @if test ! -f $@; then \
315           rm -f stamp-h1; \
316           $(MAKE) stamp-h1; \
317         else :; fi
318
319 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
320         @rm -f stamp-h1
321         cd $(top_builddir) && $(SHELL) ./config.status config.h
322 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
323         cd $(top_srcdir) && $(AUTOHEADER)
324         rm -f stamp-h1
325         touch $@
326
327 distclean-hdr:
328         -rm -f config.h stamp-h1
329 install-defs.sh: $(top_builddir)/config.status $(srcdir)/install-defs.sh.in
330         cd $(top_builddir) && $(SHELL) ./config.status $@
331 install-binPROGRAMS: $(bin_PROGRAMS)
332         @$(NORMAL_INSTALL)
333         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
334         @list='$(bin_PROGRAMS)'; for p in $$list; do \
335           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
336           if test -f $$p \
337           ; then \
338             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
339            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
340            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
341           else :; fi; \
342         done
343
344 uninstall-binPROGRAMS:
345         @$(NORMAL_UNINSTALL)
346         @list='$(bin_PROGRAMS)'; for p in $$list; do \
347           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
348           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
349           rm -f "$(DESTDIR)$(bindir)/$$f"; \
350         done
351
352 clean-binPROGRAMS:
353         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
354 fastjar$(EXEEXT): $(fastjar_OBJECTS) $(fastjar_DEPENDENCIES) 
355         @rm -f fastjar$(EXEEXT)
356         $(LINK) $(fastjar_LDFLAGS) $(fastjar_OBJECTS) $(fastjar_LDADD) $(LIBS)
357 grepjar$(EXEEXT): $(grepjar_OBJECTS) $(grepjar_DEPENDENCIES) 
358         @rm -f grepjar$(EXEEXT)
359         $(LINK) $(grepjar_LDFLAGS) $(grepjar_OBJECTS) $(grepjar_LDADD) $(LIBS)
360
361 mostlyclean-compile:
362         -rm -f *.$(OBJEXT)
363
364 distclean-compile:
365         -rm -f *.tab.c
366
367 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress.Po@am__quote@
368 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dostime.Po@am__quote@
369 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-compress.Po@am__quote@
370 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-dostime.Po@am__quote@
371 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-jartool.Po@am__quote@
372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-pushback.Po@am__quote@
373 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fastjar-shift.Po@am__quote@
374 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/jargrep.Po@am__quote@
375 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pushback.Po@am__quote@
376
377 .c.o:
378 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
379 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
380 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
381 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
382 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
383
384 .c.obj:
385 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
386 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
387 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
388 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
389 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
390
391 fastjar-jartool.o: jartool.c
392 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-jartool.o -MD -MP -MF "$(DEPDIR)/fastjar-jartool.Tpo" -c -o fastjar-jartool.o `test -f 'jartool.c' || echo '$(srcdir)/'`jartool.c; \
393 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-jartool.Tpo" "$(DEPDIR)/fastjar-jartool.Po"; else rm -f "$(DEPDIR)/fastjar-jartool.Tpo"; exit 1; fi
394 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='jartool.c' object='fastjar-jartool.o' libtool=no @AMDEPBACKSLASH@
395 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
396 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-jartool.o `test -f 'jartool.c' || echo '$(srcdir)/'`jartool.c
397
398 fastjar-jartool.obj: jartool.c
399 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-jartool.obj -MD -MP -MF "$(DEPDIR)/fastjar-jartool.Tpo" -c -o fastjar-jartool.obj `if test -f 'jartool.c'; then $(CYGPATH_W) 'jartool.c'; else $(CYGPATH_W) '$(srcdir)/jartool.c'; fi`; \
400 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-jartool.Tpo" "$(DEPDIR)/fastjar-jartool.Po"; else rm -f "$(DEPDIR)/fastjar-jartool.Tpo"; exit 1; fi
401 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='jartool.c' object='fastjar-jartool.obj' libtool=no @AMDEPBACKSLASH@
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
403 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-jartool.obj `if test -f 'jartool.c'; then $(CYGPATH_W) 'jartool.c'; else $(CYGPATH_W) '$(srcdir)/jartool.c'; fi`
404
405 fastjar-dostime.o: dostime.c
406 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-dostime.o -MD -MP -MF "$(DEPDIR)/fastjar-dostime.Tpo" -c -o fastjar-dostime.o `test -f 'dostime.c' || echo '$(srcdir)/'`dostime.c; \
407 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-dostime.Tpo" "$(DEPDIR)/fastjar-dostime.Po"; else rm -f "$(DEPDIR)/fastjar-dostime.Tpo"; exit 1; fi
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='dostime.c' object='fastjar-dostime.o' libtool=no @AMDEPBACKSLASH@
409 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
410 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-dostime.o `test -f 'dostime.c' || echo '$(srcdir)/'`dostime.c
411
412 fastjar-dostime.obj: dostime.c
413 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-dostime.obj -MD -MP -MF "$(DEPDIR)/fastjar-dostime.Tpo" -c -o fastjar-dostime.obj `if test -f 'dostime.c'; then $(CYGPATH_W) 'dostime.c'; else $(CYGPATH_W) '$(srcdir)/dostime.c'; fi`; \
414 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-dostime.Tpo" "$(DEPDIR)/fastjar-dostime.Po"; else rm -f "$(DEPDIR)/fastjar-dostime.Tpo"; exit 1; fi
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='dostime.c' object='fastjar-dostime.obj' libtool=no @AMDEPBACKSLASH@
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
417 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-dostime.obj `if test -f 'dostime.c'; then $(CYGPATH_W) 'dostime.c'; else $(CYGPATH_W) '$(srcdir)/dostime.c'; fi`
418
419 fastjar-compress.o: compress.c
420 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-compress.o -MD -MP -MF "$(DEPDIR)/fastjar-compress.Tpo" -c -o fastjar-compress.o `test -f 'compress.c' || echo '$(srcdir)/'`compress.c; \
421 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-compress.Tpo" "$(DEPDIR)/fastjar-compress.Po"; else rm -f "$(DEPDIR)/fastjar-compress.Tpo"; exit 1; fi
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='compress.c' object='fastjar-compress.o' libtool=no @AMDEPBACKSLASH@
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
424 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-compress.o `test -f 'compress.c' || echo '$(srcdir)/'`compress.c
425
426 fastjar-compress.obj: compress.c
427 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-compress.obj -MD -MP -MF "$(DEPDIR)/fastjar-compress.Tpo" -c -o fastjar-compress.obj `if test -f 'compress.c'; then $(CYGPATH_W) 'compress.c'; else $(CYGPATH_W) '$(srcdir)/compress.c'; fi`; \
428 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-compress.Tpo" "$(DEPDIR)/fastjar-compress.Po"; else rm -f "$(DEPDIR)/fastjar-compress.Tpo"; exit 1; fi
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='compress.c' object='fastjar-compress.obj' libtool=no @AMDEPBACKSLASH@
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-compress.obj `if test -f 'compress.c'; then $(CYGPATH_W) 'compress.c'; else $(CYGPATH_W) '$(srcdir)/compress.c'; fi`
432
433 fastjar-pushback.o: pushback.c
434 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-pushback.o -MD -MP -MF "$(DEPDIR)/fastjar-pushback.Tpo" -c -o fastjar-pushback.o `test -f 'pushback.c' || echo '$(srcdir)/'`pushback.c; \
435 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-pushback.Tpo" "$(DEPDIR)/fastjar-pushback.Po"; else rm -f "$(DEPDIR)/fastjar-pushback.Tpo"; exit 1; fi
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='pushback.c' object='fastjar-pushback.o' libtool=no @AMDEPBACKSLASH@
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
438 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-pushback.o `test -f 'pushback.c' || echo '$(srcdir)/'`pushback.c
439
440 fastjar-pushback.obj: pushback.c
441 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-pushback.obj -MD -MP -MF "$(DEPDIR)/fastjar-pushback.Tpo" -c -o fastjar-pushback.obj `if test -f 'pushback.c'; then $(CYGPATH_W) 'pushback.c'; else $(CYGPATH_W) '$(srcdir)/pushback.c'; fi`; \
442 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-pushback.Tpo" "$(DEPDIR)/fastjar-pushback.Po"; else rm -f "$(DEPDIR)/fastjar-pushback.Tpo"; exit 1; fi
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='pushback.c' object='fastjar-pushback.obj' libtool=no @AMDEPBACKSLASH@
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
445 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-pushback.obj `if test -f 'pushback.c'; then $(CYGPATH_W) 'pushback.c'; else $(CYGPATH_W) '$(srcdir)/pushback.c'; fi`
446
447 fastjar-shift.o: shift.c
448 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-shift.o -MD -MP -MF "$(DEPDIR)/fastjar-shift.Tpo" -c -o fastjar-shift.o `test -f 'shift.c' || echo '$(srcdir)/'`shift.c; \
449 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-shift.Tpo" "$(DEPDIR)/fastjar-shift.Po"; else rm -f "$(DEPDIR)/fastjar-shift.Tpo"; exit 1; fi
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='shift.c' object='fastjar-shift.o' libtool=no @AMDEPBACKSLASH@
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
452 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-shift.o `test -f 'shift.c' || echo '$(srcdir)/'`shift.c
453
454 fastjar-shift.obj: shift.c
455 @am__fastdepCC_TRUE@    if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT fastjar-shift.obj -MD -MP -MF "$(DEPDIR)/fastjar-shift.Tpo" -c -o fastjar-shift.obj `if test -f 'shift.c'; then $(CYGPATH_W) 'shift.c'; else $(CYGPATH_W) '$(srcdir)/shift.c'; fi`; \
456 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/fastjar-shift.Tpo" "$(DEPDIR)/fastjar-shift.Po"; else rm -f "$(DEPDIR)/fastjar-shift.Tpo"; exit 1; fi
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='shift.c' object='fastjar-shift.obj' libtool=no @AMDEPBACKSLASH@
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
459 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(fastjar_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o fastjar-shift.obj `if test -f 'shift.c'; then $(CYGPATH_W) 'shift.c'; else $(CYGPATH_W) '$(srcdir)/shift.c'; fi`
460
461 fastjar.info: fastjar.texi $(fastjar_TEXINFOS)
462         restore=: && backupdir="$(am__leading_dot)am$$$$" && \
463         rm -rf $$backupdir && mkdir $$backupdir && \
464         for f in $@ $@-[0-9] $@-[0-9][0-9] $(@:.info=).i[0-9] $(@:.info=).i[0-9][0-9]; do \
465           if test -f $$f; then mv $$f $$backupdir; restore=mv; else :; fi; \
466         done; \
467         if $(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
468          -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi; \
469         then \
470           rc=0; \
471         else \
472           rc=$$?; \
473           $$restore $$backupdir/* `echo "./$@" | sed 's|[^/]*$$||'`; \
474         fi; \
475         rm -rf $$backupdir; exit $$rc
476
477 fastjar.dvi: fastjar.texi $(fastjar_TEXINFOS) 
478         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
479         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
480         $(TEXI2DVI) -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi
481
482 fastjar.pdf: fastjar.texi $(fastjar_TEXINFOS) 
483         TEXINPUTS="$(am__TEXINFO_TEX_DIR)$(PATH_SEPARATOR)$$TEXINPUTS" \
484         MAKEINFO='$(MAKEINFO) $(AM_MAKEINFOFLAGS) $(MAKEINFOFLAGS) -I $(srcdir)' \
485         $(TEXI2PDF) -o $@ `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi
486
487 fastjar.html: fastjar.texi $(fastjar_TEXINFOS) 
488         rm -rf $(@:.html=.htp)
489         if $(MAKEINFOHTML) $(AM_MAKEINFOHTMLFLAGS) $(MAKEINFOFLAGS) -I $(srcdir) \
490          -o $(@:.html=.htp) `test -f 'fastjar.texi' || echo '$(srcdir)/'`fastjar.texi; \
491         then \
492           rm -rf $@; \
493           if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
494             mv $(@:.html=) $@; else mv $(@:.html=.htp) $@; fi; \
495         else \
496           if test ! -d $(@:.html=.htp) && test -d $(@:.html=); then \
497             rm -rf $(@:.html=); else rm -Rf $(@:.html=.htp) $@; fi; \
498           exit 1; \
499         fi
500 .dvi.ps:
501         $(DVIPS) -o $@ $<
502
503 uninstall-info-am:
504         $(PRE_UNINSTALL)
505         @if (install-info --version && \
506              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
507           list='$(INFO_DEPS)'; \
508           for file in $$list; do \
509             relfile=`echo "$$file" | sed 's|^.*/||'`; \
510             echo " install-info --info-dir='$(DESTDIR)$(infodir)' --remove '$(DESTDIR)$(infodir)/$$relfile'"; \
511             install-info --info-dir="$(DESTDIR)$(infodir)" --remove "$(DESTDIR)$(infodir)/$$relfile"; \
512           done; \
513         else :; fi
514         @$(NORMAL_UNINSTALL)
515         @list='$(INFO_DEPS)'; \
516         for file in $$list; do \
517           relfile=`echo "$$file" | sed 's|^.*/||'`; \
518           relfile_i=`echo "$$relfile" | sed 's|\.info$$||;s|$$|.i|'`; \
519           (if cd "$(DESTDIR)$(infodir)"; then \
520              echo " rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9])"; \
521              rm -f $$relfile $$relfile-[0-9] $$relfile-[0-9][0-9] $$relfile_i[0-9] $$relfile_i[0-9][0-9]; \
522            else :; fi); \
523         done
524
525 dist-info: $(INFO_DEPS)
526         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
527         list='$(INFO_DEPS)'; \
528         for base in $$list; do \
529           case $$base in \
530             $(srcdir)/*) base=`echo "$$base" | sed "s|^$$srcdirstrip/||"`;; \
531           esac; \
532           if test -f $$base; then d=.; else d=$(srcdir); fi; \
533           for file in $$d/$$base*; do \
534             relfile=`expr "$$file" : "$$d/\(.*\)"`; \
535             test -f $(distdir)/$$relfile || \
536               cp -p $$file $(distdir)/$$relfile; \
537           done; \
538         done
539
540 mostlyclean-aminfo:
541         -rm -rf fastjar.aux fastjar.cp fastjar.cps fastjar.fn fastjar.fns fastjar.ky \
542           fastjar.kys fastjar.log fastjar.pg fastjar.pgs fastjar.tmp \
543           fastjar.toc fastjar.tp fastjar.tps fastjar.vr fastjar.vrs \
544           fastjar.dvi fastjar.pdf fastjar.ps fastjar.html
545
546 maintainer-clean-aminfo:
547         @list='$(INFO_DEPS)'; for i in $$list; do \
548           i_i=`echo "$$i" | sed 's|\.info$$||;s|$$|.i|'`; \
549           echo " rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]"; \
550           rm -f $$i $$i-[0-9] $$i-[0-9][0-9] $$i_i[0-9] $$i_i[0-9][0-9]; \
551         done
552 install-man1: $(man1_MANS) $(man_MANS)
553         @$(NORMAL_INSTALL)
554         test -z "$(man1dir)" || $(mkdir_p) "$(DESTDIR)$(man1dir)"
555         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
556         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
557         for i in $$l2; do \
558           case "$$i" in \
559             *.1*) list="$$list $$i" ;; \
560           esac; \
561         done; \
562         for i in $$list; do \
563           if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
564           else file=$$i; fi; \
565           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
566           case "$$ext" in \
567             1*) ;; \
568             *) ext='1' ;; \
569           esac; \
570           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
571           inst=`echo $$inst | sed -e 's/^.*\///'`; \
572           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
573           echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
574           $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst"; \
575         done
576 uninstall-man1:
577         @$(NORMAL_UNINSTALL)
578         @list='$(man1_MANS) $(dist_man1_MANS) $(nodist_man1_MANS)'; \
579         l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
580         for i in $$l2; do \
581           case "$$i" in \
582             *.1*) list="$$list $$i" ;; \
583           esac; \
584         done; \
585         for i in $$list; do \
586           ext=`echo $$i | sed -e 's/^.*\\.//'`; \
587           case "$$ext" in \
588             1*) ;; \
589             *) ext='1' ;; \
590           esac; \
591           inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
592           inst=`echo $$inst | sed -e 's/^.*\///'`; \
593           inst=`echo $$inst | sed '$(transform)'`.$$ext; \
594           echo " rm -f '$(DESTDIR)$(man1dir)/$$inst'"; \
595           rm -f "$(DESTDIR)$(man1dir)/$$inst"; \
596         done
597
598 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
599         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
600         unique=`for i in $$list; do \
601             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
602           done | \
603           $(AWK) '    { files[$$0] = 1; } \
604                END { for (i in files) print i; }'`; \
605         mkid -fID $$unique
606 tags: TAGS
607
608 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
609                 $(TAGS_FILES) $(LISP)
610         tags=; \
611         here=`pwd`; \
612         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
613         unique=`for i in $$list; do \
614             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
615           done | \
616           $(AWK) '    { files[$$0] = 1; } \
617                END { for (i in files) print i; }'`; \
618         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
619           test -n "$$unique" || unique=$$empty_fix; \
620           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
621             $$tags $$unique; \
622         fi
623 ctags: CTAGS
624 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
625                 $(TAGS_FILES) $(LISP)
626         tags=; \
627         here=`pwd`; \
628         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
629         unique=`for i in $$list; do \
630             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
631           done | \
632           $(AWK) '    { files[$$0] = 1; } \
633                END { for (i in files) print i; }'`; \
634         test -z "$(CTAGS_ARGS)$$tags$$unique" \
635           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
636              $$tags $$unique
637
638 GTAGS:
639         here=`$(am__cd) $(top_builddir) && pwd` \
640           && cd $(top_srcdir) \
641           && gtags -i $(GTAGS_ARGS) $$here
642
643 distclean-tags:
644         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
645
646 distdir: $(DISTFILES)
647         $(am__remove_distdir)
648         mkdir $(distdir)
649         $(mkdir_p) $(distdir)/. $(distdir)/.. $(distdir)/../config $(distdir)/../gcc/doc/include
650         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
651         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
652         list='$(DISTFILES)'; for file in $$list; do \
653           case $$file in \
654             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
655             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
656           esac; \
657           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
658           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
659           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
660             dir="/$$dir"; \
661             $(mkdir_p) "$(distdir)$$dir"; \
662           else \
663             dir=''; \
664           fi; \
665           if test -d $$d/$$file; then \
666             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
667               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
668             fi; \
669             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
670           else \
671             test -f $(distdir)/$$file \
672             || cp -p $$d/$$file $(distdir)/$$file \
673             || exit 1; \
674           fi; \
675         done
676         $(MAKE) $(AM_MAKEFLAGS) \
677           top_distdir="$(top_distdir)" distdir="$(distdir)" \
678           dist-info
679         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
680           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
681           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
682           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
683         || chmod -R a+r $(distdir)
684 dist-gzip: distdir
685         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
686         $(am__remove_distdir)
687
688 dist-bzip2: distdir
689         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
690         $(am__remove_distdir)
691
692 dist-tarZ: distdir
693         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
694         $(am__remove_distdir)
695
696 dist-shar: distdir
697         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
698         $(am__remove_distdir)
699
700 dist-zip: distdir
701         -rm -f $(distdir).zip
702         zip -rq $(distdir).zip $(distdir)
703         $(am__remove_distdir)
704
705 dist dist-all: distdir
706         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
707         $(am__remove_distdir)
708
709 # This target untars the dist file and tries a VPATH configuration.  Then
710 # it guarantees that the distribution is self-contained by making another
711 # tarfile.
712 distcheck: dist
713         case '$(DIST_ARCHIVES)' in \
714         *.tar.gz*) \
715           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
716         *.tar.bz2*) \
717           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
718         *.tar.Z*) \
719           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
720         *.shar.gz*) \
721           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
722         *.zip*) \
723           unzip $(distdir).zip ;;\
724         esac
725         chmod -R a-w $(distdir); chmod a+w $(distdir)
726         mkdir $(distdir)/_build
727         mkdir $(distdir)/_inst
728         chmod a-w $(distdir)
729         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
730           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
731           && cd $(distdir)/_build \
732           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
733             $(DISTCHECK_CONFIGURE_FLAGS) \
734           && $(MAKE) $(AM_MAKEFLAGS) \
735           && $(MAKE) $(AM_MAKEFLAGS) dvi \
736           && $(MAKE) $(AM_MAKEFLAGS) check \
737           && $(MAKE) $(AM_MAKEFLAGS) install \
738           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
739           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
740           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
741                 distuninstallcheck \
742           && chmod -R a-w "$$dc_install_base" \
743           && ({ \
744                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
745                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
746                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
747                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
748                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
749               } || { rm -rf "$$dc_destdir"; exit 1; }) \
750           && rm -rf "$$dc_destdir" \
751           && $(MAKE) $(AM_MAKEFLAGS) dist \
752           && rm -rf $(DIST_ARCHIVES) \
753           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
754         $(am__remove_distdir)
755         @(echo "$(distdir) archives ready for distribution: "; \
756           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
757           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
758 distuninstallcheck:
759         @cd $(distuninstallcheck_dir) \
760         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
761            || { echo "ERROR: files left after uninstall:" ; \
762                 if test -n "$(DESTDIR)"; then \
763                   echo "  (check DESTDIR support)"; \
764                 fi ; \
765                 $(distuninstallcheck_listfiles) ; \
766                 exit 1; } >&2
767 distcleancheck: distclean
768         @if test '$(srcdir)' = . ; then \
769           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
770           exit 1 ; \
771         fi
772         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
773           || { echo "ERROR: files left in build directory after distclean:" ; \
774                $(distcleancheck_listfiles) ; \
775                exit 1; } >&2
776 check-am: all-am
777 check: check-am
778 all-am: Makefile $(INFO_DEPS) $(PROGRAMS) $(MANS) config.h all-local
779 installdirs:
780         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(infodir)" "$(DESTDIR)$(man1dir)"; do \
781           test -z "$$dir" || $(mkdir_p) "$$dir"; \
782         done
783 install: install-am
784 install-exec: install-exec-am
785 install-data: install-data-am
786 uninstall: uninstall-am
787
788 install-am: all-am
789         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
790
791 installcheck: installcheck-am
792 install-strip:
793         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
794           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
795           `test -z '$(STRIP)' || \
796             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
797 mostlyclean-generic:
798
799 clean-generic:
800         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
801
802 distclean-generic:
803         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
804
805 maintainer-clean-generic:
806         @echo "This command is intended for maintainers to use"
807         @echo "it deletes files that may require special tools to rebuild."
808         -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
809 clean: clean-am
810
811 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
812
813 distclean: distclean-am
814         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
815         -rm -rf ./$(DEPDIR)
816         -rm -f Makefile
817 distclean-am: clean-am distclean-compile distclean-generic \
818         distclean-hdr distclean-tags
819
820 dvi: dvi-am
821
822 dvi-am: $(DVIS)
823
824 html: html-am
825
826 html-am: $(HTMLS)
827
828 info: info-am
829
830 info-am: $(INFO_DEPS)
831
832 install-data-am: install-info-am install-man
833
834 install-exec-am: install-binPROGRAMS
835
836 install-info: install-info-am
837
838 install-info-am: $(INFO_DEPS)
839         @$(NORMAL_INSTALL)
840         test -z "$(infodir)" || $(mkdir_p) "$(DESTDIR)$(infodir)"
841         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
842         list='$(INFO_DEPS)'; \
843         for file in $$list; do \
844           case $$file in \
845             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
846           esac; \
847           if test -f $$file; then d=.; else d=$(srcdir); fi; \
848           file_i=`echo "$$file" | sed 's|\.info$$||;s|$$|.i|'`; \
849           for ifile in $$d/$$file $$d/$$file-[0-9] $$d/$$file-[0-9][0-9] \
850                        $$d/$$file_i[0-9] $$d/$$file_i[0-9][0-9] ; do \
851             if test -f $$ifile; then \
852               relfile=`echo "$$ifile" | sed 's|^.*/||'`; \
853               echo " $(INSTALL_DATA) '$$ifile' '$(DESTDIR)$(infodir)/$$relfile'"; \
854               $(INSTALL_DATA) "$$ifile" "$(DESTDIR)$(infodir)/$$relfile"; \
855             else : ; fi; \
856           done; \
857         done
858         @$(POST_INSTALL)
859         @if (install-info --version && \
860              install-info --version 2>&1 | sed 1q | grep -i -v debian) >/dev/null 2>&1; then \
861           list='$(INFO_DEPS)'; \
862           for file in $$list; do \
863             relfile=`echo "$$file" | sed 's|^.*/||'`; \
864             echo " install-info --info-dir='$(DESTDIR)$(infodir)' '$(DESTDIR)$(infodir)/$$relfile'";\
865             install-info --info-dir="$(DESTDIR)$(infodir)" "$(DESTDIR)$(infodir)/$$relfile" || :;\
866           done; \
867         else : ; fi
868 install-man: install-man1
869
870 installcheck-am:
871
872 maintainer-clean: maintainer-clean-am
873         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
874         -rm -rf $(top_srcdir)/autom4te.cache
875         -rm -rf ./$(DEPDIR)
876         -rm -f Makefile
877 maintainer-clean-am: distclean-am maintainer-clean-aminfo \
878         maintainer-clean-generic
879
880 mostlyclean: mostlyclean-am
881
882 mostlyclean-am: mostlyclean-aminfo mostlyclean-compile \
883         mostlyclean-generic
884
885 pdf: pdf-am
886
887 pdf-am: $(PDFS)
888
889 ps: ps-am
890
891 ps-am: $(PSS)
892
893 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
894
895 uninstall-man: uninstall-man1
896
897 .PHONY: CTAGS GTAGS all all-am all-local am--refresh check check-am \
898         clean clean-binPROGRAMS clean-generic ctags dist dist-all \
899         dist-bzip2 dist-gzip dist-info dist-shar dist-tarZ dist-zip \
900         distcheck distclean distclean-compile distclean-generic \
901         distclean-hdr distclean-tags distcleancheck distdir \
902         distuninstallcheck dvi dvi-am html html-am info info-am \
903         install install-am install-binPROGRAMS install-data \
904         install-data-am install-exec install-exec-am install-info \
905         install-info-am install-man install-man1 install-strip \
906         installcheck installcheck-am installdirs maintainer-clean \
907         maintainer-clean-aminfo maintainer-clean-generic mostlyclean \
908         mostlyclean-aminfo mostlyclean-compile mostlyclean-generic pdf \
909         pdf-am ps ps-am tags uninstall uninstall-am \
910         uninstall-binPROGRAMS uninstall-info-am uninstall-man \
911         uninstall-man1
912
913
914 .pod.1:
915         -($(POD2MAN) --section=1 $< > $(@).T$$$$ && \
916                 mv -f $(@).T$$$$ $@) || \
917                 (rm -f $(@).T$$$$ && exit 1)
918
919 .INTERMEDIATE: fastjar.pod grepjar.pod
920
921 fastjar.pod: $(srcdir)/fastjar.texi
922         -$(TEXI2POD) -D fastjar $< > $@
923
924 grepjar.pod: $(srcdir)/fastjar.texi
925         -$(TEXI2POD) -D grepjar $< > $@
926
927 all-local: $(STAMP_GENINSRC) 
928
929 stamp-geninsrc: fastjar.1 grepjar.1 fastjar.info
930         -cp -p $(top_builddir)/fastjar.1 $(srcdir)/fastjar.1
931         -cp -p $(top_builddir)/grepjar.1 $(srcdir)/grepjar.1
932         -cp -p $(top_builddir)/fastjar.info $(srcdir)/fastjar.info
933         touch $@
934 # Tell versions [3.59,3.63) of GNU make to not export all variables.
935 # Otherwise a system limit (for SysV at least) may be exceeded.
936 .NOEXPORT: